Subject: Benchmark database instance

From: Shashi K. Gadia <[email-masked]>
Date: Thu, 13 May 93 19:10:52 CDT

I have four points to make about 
the database instance. 

1. Change in Ed (Edwards's) information.
-----------------------------------------
Ed's name changes at a time instant 
at which he possesses all three skills.  
In most models this will make the description 
of his skills unnecessarily lengthy.  I 
suggest two changes. 

A. Let the new name (Edward) start at 
   1/1/89 instead of 1/1/88.  

B. Change end time of typing skill to 
   12/31/87. 

With these changes, his name changes only 
during the filing skill.  

2. The Department <--> Manager dependency.
------------------------------------------
The proposed instance fails to reflect 
the complexity of the database scheme. 
The situation in general can be much more
interesting than the one exhibited while 
still satisfying the two dependencies 
(Department --> Manager, and Manager  
--> Department).  The implication of these
dependencies is that Department 
can serve as a key, and if one wishes, 
Manager can serve as the key.  Objects 
viewed with respect to these different 
keys are interwoven.  In addition, 
even the number of tuples can be 
different with respect to different 
keys.  This is one of the interesting 
peculiarities of temporal (and parametric) 
databases which the community must 
address.  

3. Relation with a non-interval domain.
--------------------------------------- 
There is no relation whose domain 
is a non-interval temporal element.  

4. Representation of time points.
---------------------------------
The time points are dates in the format 
MM/DD/YY.  This is extremely distracting 
and serves no purpose whatsoever.  
Dates form a sequence 1/1/82, 1/2/82, ...
etc.  So do integers 0, 1, 2, ... 
The two structures are literally 
isomorphic in our context.  There are many 
reasons that dates are not desirable.  

A. An interval requires 19 characters.  
   To draw an instance of emp relation I need
   101 characters and spaces.  This is very
   taxing in terms of document preparation.  

B. For a human it is much harder to compare 
   dates than integers.  This becomes very taxing 
   when we try to visualize what is retrieved 
   by a query.  

I feel very strongly about these issues 
which makes the benchmark document inaccessible 
and less appealing.  

I will be willing to provide an instance 
which takes these points into full 
consideration.